import { Component, inject } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { RouterOutlet } from '@angular/router';
import { HeaderComponent } from './components/header/header.component';
import { FooterComponent } from './components/footer/footer.component';
import { ParticleBgComponent } from './components/particle-bg/particle-bg.component';
import translationsEn from '../../public/i18n/en.json';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    RouterOutlet,
    HeaderComponent,
    FooterComponent,
    ParticleBgComponent
  ],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent {
  private readonly translate = inject(TranslateService);

  constructor() {
    this.translate.setTranslation('en', translationsEn);
    this.translate.setFallbackLang('en');
    this.translate.use('en');
  }
}

